//
//  LCPathClipartObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 13.04.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseClipartObject.h"
#import <AvisNocturnaCrossCore/ANGeometryHelper-Defines.h>

@interface LCPathClipartObject : LCBaseClipartObject
{
    CGPathRef pathRef;
    NSString *tempFilePath;
    
    ANGeometry_PathMode pathMode;
    float strokeLineWidth;
}

- (id) initWithObjectsContainer:(LCObjectsContainer *)o andClipartPresetPath:(NSString*)path;

@property (assign) ANGeometry_PathMode pathMode;
@property (assign) float strokeLineWidth;

@property (readonly) CGPathRef pathRef;
@property (retain) NSString *tempFilePath;

@end
